Process > Create Video Subtitle Removal
Create Video Subtitle Removal
Create a video processing task that removes subtitles from an uploaded video.
Examples
curl -X POST https://api.medux.io/api/app/v1/process/video/subtitle_removal \
-H 'Authorization: Bearer $MEDUX_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"file_id":"FILE_ID","region":{"height":1,"width":1,"x":1,"y":1},"title":"Demo title"}'Media Samples
Approved examples for understanding request inputs, response shape, and official example output.
Official subtitle removal
This example uses video-subtitle-removal-standard.
Sample request
Remove burned-in subtitles from an official sample video.
Sample response
Official example output for preview only. It is not a user Media Result.
Example output
Auth Requirements
Authentication is required via Authorization header.
Preconditions
Requires a previously uploaded video asset.
Requires an existing video file_id.
Request
Body
application/jsonAuthorizationstringrequiredBearer token or API key.
Location: HEADER
file_idstringrequiredNo description provided.
Location: BODY
region.heightint32optionalNo description provided.
Location: BODY
region.widthint32optionalNo description provided.
Location: BODY
region.xint32optionalX coordinate of the region's top-left corner in pixels.
Location: BODY
region.yint32optionalY coordinate of the region's top-left corner in pixels.
Location: BODY
titlestringoptionalNo description provided.
Location: BODY
Response
Response
application/jsoncodeint32optionalApplication response code.
| Code | Meaning |
|---|---|
0 | OK |
12 | Invalid input |
1401 | Insufficient credits |
1404 | Provider returned an error |
1405 | Provider request timed out |
13 | Authentication is required |
16 | Rate limit exceeded |
99 | Server error |
Available options: 0 12 1410 1409 1401 1404 1405 13 16 99
Location: RESPONSE
data.assetobjectoptionalNo description provided.
Location: RESPONSE
data.paid_plan_requiredobjectoptionalNo description provided.
Location: RESPONSE
data.taskobjectoptionalNo description provided.
Location: RESPONSE
messagestringoptionalNo description provided.
Available options: ok invalid input invalid model paid plan required insufficient credits provider error provider timeout unauthenticated rate limit server error
Location: RESPONSE
MCP Tool
This endpoint is also available through the Medux-hosted remote MCP service.
Video / Subtitle Removal
Remove burned-in subtitles from an uploaded video file.
Invocation Example
Remove burned-in subtitles from the uploaded source video {file_id}. If the subtitle area is known, pass region {x, y, width, height}.
On this page